package com.qst.dms.ui;

import com.qst.dms.entity.Transport;

public class transportLine
{
    public transportLine(String transID,String transAddress, String transHandler, String transReceiver, String transState, String transTime, int transType)
    {
        this.transID = transID;
        this.transAddress = transAddress;
        this.transHandler = transHandler;
        this.transReceiver = transReceiver;
        this.transState = transState;
        this.transTime = transTime;
        switch (transType)
        {
            case Transport.SENDING -> this.transType = "发货中";
            case Transport.TRANSPORTING -> this.transType = "送货中";
            case Transport.RECEIVED -> this.transType = "已签收";
        }
    }

    public String getTransID() { return transID; }

    public String getTransAddress()
    {
        return transAddress;
    }

    public String getTransHandler()
    {
        return transHandler;
    }

    public String getTransReceiver()
    {
        return transReceiver;
    }

    public String getTransState()
    {
        return transState;
    }

    public String getTransTime()
    {
        return transTime;
    }

    public String getTransType()
    {
        return transType;
    }

    String transID;
    String transAddress;
    String transHandler;
    String transReceiver;
    String transState;
    String transTime;
    String transType;
}
